#KGen98 Application file

#Main Section
name            =KGen98
path            =c:\kgen
exe             =kgen98.exe
redirect        =1

#the following line indicates if we're going to use ArcadeOS's low level redirect
#you only need to use this if the emu waits for a keypress while loading and
#clears down its keyboard buffer at startup
#No current emulators other than MAME do this, so it can be set to 0
lowlevelredir   =0

backdrop        =gen.pcx
update          =
virtualemu      =0
readmefile      =readme98.txt

#INI file details
ini             =
writetoini      =0
iniusesequal    =0
iniusesminus    =1
optionsasargs   =0
zippath         =
commentchar     =;

#Files to display
singlegame      =
singledir       =
filepattern     =*.SMD;*.BIN
directories     =0
zipfiles        =0
needzipext      =0
rompathid       =
useextension    =1
#indicates if file name passed to emulator must be in lower case
lowercase	=0

#Rotation options
#Here you can indicate if an emulator support rotation
#and if it does, what the command line arguments for each
#type of rotation
supportsrot=0
rotleft=
rotright=
norot=

#Arcade monitor options
incabinetopts   =
reprogramvga    =1
#As of AOS 2.31, this has been extended to allow you to use ModeX resolutions
#
#Use these options when you want to run a game which uses a
#'mode X' resolution on an arcade monitor

#modeXdelay
#generaly
#- set this to 0 to use 320x200 VGA arcade monitor mode
#- set this to 1 to use ModeX Arcade Monitor modes
#if the mode appears courrupted for ModeX(and the resolution is correct)
#increase the value
modexdelay      =1


#This allows you to block VGA text mode
#Some EMUs have a long startup/shutdown during which they switch to text mode
#you can block this mode change by setting the following flag to 1
#Other EMUs however have debugggers etc. which run in textmode, so you may want to
#enable these to be displayed by setting this to 0
blocktext	=1

#Keyboard Remapper
#This allows you to remap upto 40 keys for a given app/emu
#each key can generate upto 2 keystrokes (which is useful for mapping escape to generate Alt-Q)
#There are 2 types of remapper,
#
#'Real Mode' and 'Protected Mode'
#
#you need to use the real mode wrapper for real mode DOS programs
#(small exe, does not need a DOS extender or DPMI to run - not too many of these around anymore)
#
#and the protected mode wrapper for protected mode DOS programs
#(larger exe, needs a DOS extender (such as DOS4GW, or P-MODE) to run
#and/or a DPMI server (such as CWSDPMI or Windows)
#i.e. just about all DOS emus these days

#sets the remap type, 0 = real mode, 1 = protected mode
#for most emus you'll need to set this to 1
remaptype=1

#sets the internal delay which AOS waits before activating our remapper
#(after the emulator is running and the video mode has been set)
#for most cases - this can be set to 1
#but some emulators (such as RAINE and ZSNES) need a longer delay for the remapper to work
remapdelay=10

#List of scancodes to remap
#The format is
#<input scancode>,<output scancode>[|<output scancode2],<input scancode>,<output scancode>[|<output scancode2]...
#
#i.e. say you want to remap a key so that everytime you press 'A' the emulator thinks you're pressing 'B'
#download scancode.exe from the downloads page of the PC2JAMMA site, run that and get the scancodes
#of the keys you're remapping, you'll find that :-
#the scancode of A is 30 and the scancode of B is 48
#
#so you're remap list would look like
#remaplist=30,48
#
#now, everytime you press A, the B will be sent to the emulator instead
#
#The following remaps:
#1 to Enter
#(i.e. default MAME start 1 button maps to default KGen98)
#NOTE:Due to KGen98's P-Mode DOS extender, this will only work in a
#Windows DOS box.
#Also - since 1 is remapped to 'Enter' and KGen buffers keys, to use
#Start1+2=Escape you need to press+hold Start 2, then press Start 1
#(if you press start 1 first an 'Enter' will be placed in the buffer and KGen
#will instantly select 'Load Roms' from it's UI menu)
remaplist=2,28

#Shift functions
#This allows you to setup 6 extra functions/keys when running an emulator
#each function/key is accessable by:
#Holding down the 'shift key (by default, start1),
#then pressing one of the player 1 or 2 buttons
#
#You can use this to get access an emulator's extra functions
#(UI, Config items etc.) from a standard JAMMA arcade control panel setup

#_shift + Player 1 button1
shift1=
#_shift + Player 1 button2
shift2=
#_shift + Player 1 button3
shift3=

#_shift + Player 2 button1
shift4=
#_shift + Player 2 button2
shift5=
#_shift + Player 2 button3
shift6=


#this indicates if remapping causes problems with a given emulator
noremap=0

#Command line Options
defaultoptions  =

#Config and name files
configfile      =kgen98.dat
descfile        =kgen98.nms
clonefile       =
mergedroms      =0

#Screenshots
screenshots     =1
pcxdir          =
sssuffix        =001
suffixow        =1
pngdir          =
flyerdir        =
cabdir          =

#Custom List
clist1          =Custom1
clist2          =Custom2
clist3          =Custom3
clist4          =Custom4
clist5          =Custom5
clist6          =Custom6
clist7          =Custom7
